import { ThemePropsType } from "../../constants/types/styled";
import { CustomColor } from "../../constants/themes/colors";
import { SizeLS } from "../../constants/types/global";
import { Variant, Corner } from './types';
export declare const Icon: import("styled-components").StyledComponent<"img", any, {
    size?: SizeLS | undefined;
}, never>;
export declare const StyledButton: import("styled-components").StyledComponent<"button", any, ThemePropsType & {
    variant?: Variant | undefined;
    size?: SizeLS | undefined;
    corner?: Corner | undefined;
    customStyle?: {
        color?: CustomColor | undefined;
        backgroundColor?: CustomColor | undefined;
        borderColor?: CustomColor | undefined;
        hoverColor?: CustomColor | undefined;
        hoverBackgroundColor?: CustomColor | undefined;
        hoverBorderColor?: CustomColor | undefined;
        maxWidth?: string | undefined;
    } | undefined;
} & import("../../constants/types/styled").IsDisabledPropsType, never>;
